#!/usr/bin/python3
# Utilisation d'un codeur rotatif incrémental

# Importer les bibliothèques utilisées par le script
from gpiozero import Button
from signal import pause
from time import sleep

#Déclarer les entrées du codeur comme des boutons
S2 = Button(24)                      
S1 = Button(25)                      

def S1_pressed():
    print ('S1 appuyé')
    sleep(0.15)

def S2_pressed():
    print ('S2 appuyé')
    sleep(0.15)

# Attente des événements lors de la rotation du bouton 
S1.when_pressed = S1_pressed
S2.when_pressed = S2_pressed

pause()

